
create table da_channel (
	dc_id integer primary key,
	dc_ch integer,
	dc_name text,
	dc_network_id integer,
	dc_service_id integer
);

begin;
insert into da_channel (dc_ch, dc_name) values (27, 'NHK総合');
insert into da_channel (dc_ch, dc_name) values (26, 'NHK教育');
insert into da_channel (dc_ch, dc_name) values (25, '日本テレビ');
insert into da_channel (dc_ch, dc_name) values (22, 'TBSテレビ');
insert into da_channel (dc_ch, dc_name) values (21, 'フジテレビ');
insert into da_channel (dc_ch, dc_name) values (24, 'テレビ朝日');
insert into da_channel (dc_ch, dc_name) values (23, 'テレビ東京');
insert into da_channel (dc_ch, dc_name) values (18, 'TVK');
commit;

create table da_event (
	dv_id integer primary key,
	dv_service_id integer,
	dv_transport_stream_id integer,
	dv_original_network_id integer,
	dv_event_id integer,
	dv_start_time timestamp,
	dv_duration time,
	dv_name text,
	dv_text text
);

create index da_event_index on da_event (dv_start_time, dv_original_network_id, dv_service_id);

create table da_genre (
	dg_id integer primary key,
	dv_id integer,
	mg_level1 integer,
	mg_level2 integer
);

create index da_genre_index on da_genre (dv_id);

create table ma_genre1 (
	mg_level1 integer,
	mg_name text
);

create unique index ma_genre1_index on ma_genre1 (mg_level1);

begin;
insert into ma_genre1 (mg_level1, mg_name) values (0, 'ニュース／報道');
insert into ma_genre1 (mg_level1, mg_name) values (1, 'スポーツ');
insert into ma_genre1 (mg_level1, mg_name) values (2, '情報／ワイドショー');
insert into ma_genre1 (mg_level1, mg_name) values (3, 'ドラマ');
insert into ma_genre1 (mg_level1, mg_name) values (4, '音楽');
insert into ma_genre1 (mg_level1, mg_name) values (5, 'バラエティ');
insert into ma_genre1 (mg_level1, mg_name) values (6, '映画');
insert into ma_genre1 (mg_level1, mg_name) values (7, 'アニメ／特撮');
insert into ma_genre1 (mg_level1, mg_name) values (8, 'ドキュメンタリー／教養');
insert into ma_genre1 (mg_level1, mg_name) values (9, '劇場／公演');
insert into ma_genre1 (mg_level1, mg_name) values (10, '趣味／教育');
insert into ma_genre1 (mg_level1, mg_name) values (11, '福祉');
insert into ma_genre1 (mg_level1, mg_name) values (12, '(予備)');
insert into ma_genre1 (mg_level1, mg_name) values (13, '(予備)');
insert into ma_genre1 (mg_level1, mg_name) values (14, '(拡張)');
insert into ma_genre1 (mg_level1, mg_name) values (15, 'その他');
commit;

create table ma_genre2 (
	mg_level1 integer,
	mg_level2 integer,
	mg_name text
);

create unique index ma_genre2_index on ma_genre2 (mg_level1, mg_level2);

begin;
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (0, 0, '定時・総合');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (0, 1, '天気');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (0, 2, '特集・ドキュメント');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (0, 3, '政治・国会');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (0, 4, '経済・市況');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (0, 5, '海外・国際');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (0, 6, '解説');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (0, 7, '討論・会談');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (0, 8, '報道特番');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (0, 9, 'ローカル・地域');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (0, 10, '交通');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (0, 11, '');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (0, 12, '');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (0, 13, '');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (0, 14, '');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (0, 15, 'その他');

insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (1, 0, 'スポーツニュース');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (1, 1, '野球');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (1, 2, 'サッカー');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (1, 3, 'ゴルフ');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (1, 4, 'その他の球技');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (1, 5, '相撲・格闘技');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (1, 6, 'オリンピック・国際大会');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (1, 7, 'マラソン・陸上・水泳');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (1, 8, 'モータースポーツ');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (1, 9, 'マリン・ウィンタースポーツ');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (1, 10, '競馬・公営競技');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (1, 11, '');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (1, 12, '');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (1, 13, '');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (1, 14, '');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (1, 15, 'その他');

insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (2, 0, '芸能・ワイドショー');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (2, 1, 'ファッション');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (2, 2, '暮らし・住まい');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (2, 3, '健康・医療');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (2, 4, 'ショッピング・通販');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (2, 5, 'グルメ・料理');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (2, 6, 'イベント');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (2, 7, '番組紹介・お知らせ');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (2, 8, '');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (2, 9, '');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (2, 10, '');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (2, 11, '');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (2, 12, '');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (2, 13, '');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (2, 14, '');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (2, 15, 'その他');

insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (3, 0, '国内ドラマ');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (3, 1, '海外ドラマ');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (3, 2, '時代劇');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (3, 3, '');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (3, 4, '');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (3, 5, '');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (3, 6, '');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (3, 7, '');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (3, 8, '');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (3, 9, '');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (3, 10, '');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (3, 11, '');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (3, 12, '');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (3, 13, '');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (3, 14, '');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (3, 15, 'その他');

insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (4, 0, '国内ロック・ポップス');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (4, 1, '海外ロック・ポップス');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (4, 2, 'クラシック・オペラ');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (4, 3, 'ジャズ・フュージョン');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (4, 4, '歌謡曲・演歌');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (4, 5, 'ライブ・コンサート');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (4, 6, 'ランキング・リクエスト');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (4, 7, 'カラオケ・のど自慢');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (4, 8, '民謡・邦楽');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (4, 9, '童謡・キッズ');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (4, 10, '民族音楽・ワールドミュージック');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (4, 11, '');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (4, 12, '');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (4, 13, '');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (4, 14, '');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (4, 15, 'その他');

insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (5, 0, 'クイズ');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (5, 1, 'ゲーム');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (5, 2, 'トークバラエティ');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (5, 3, 'お笑い・コメディ');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (5, 4, '音楽バラエティ');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (5, 5, '旅バラエティ');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (5, 6, '料理バラエティ');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (5, 7, '');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (5, 8, '');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (5, 9, '');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (5, 10, '');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (5, 11, '');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (5, 12, '');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (5, 13, '');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (5, 14, '');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (5, 15, 'その他');

insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (6, 0, '洋画');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (6, 1, '邦画');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (6, 2, 'アニメ');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (6, 3, '');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (6, 4, '');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (6, 5, '');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (6, 6, '');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (6, 7, '');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (6, 8, '');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (6, 9, '');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (6, 10, '');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (6, 11, '');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (6, 12, '');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (6, 13, '');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (6, 14, '');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (6, 15, 'その他');

insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (7, 0, '国内アニメ');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (7, 1, '海外アニメ');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (7, 2, '特撮');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (7, 3, '');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (7, 4, '');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (7, 5, '');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (7, 6, '');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (7, 7, '');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (7, 8, '');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (7, 9, '');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (7, 10, '');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (7, 11, '');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (7, 12, '');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (7, 13, '');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (7, 14, '');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (7, 15, 'その他');

insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (8, 0, '社会・時事');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (8, 1, '歴史・紀行');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (8, 2, '自然・動物・環境');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (8, 3, '宇宙・科学・医学');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (8, 4, 'カルチャー・伝統文化');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (8, 5, '文学・文芸');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (8, 6, 'スポーツ');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (8, 7, 'ドキュメンタリー全般');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (8, 8, 'インタビュー・討論');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (8, 9, '');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (8, 10, '');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (8, 11, '');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (8, 12, '');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (8, 13, '');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (8, 14, '');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (8, 15, 'その他');

insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (9, 0, '現代劇・新劇');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (9, 1, 'ミュージカル');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (9, 2, 'ダンス・バレエ');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (9, 3, '落語・演芸');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (9, 4, '歌舞伎・古典');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (9, 5, '');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (9, 6, '');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (9, 7, '');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (9, 8, '');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (9, 9, '');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (9, 10, '');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (9, 11, '');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (9, 12, '');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (9, 13, '');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (9, 14, '');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (9, 15, 'その他');

insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (10, 0, '旅・釣り・アウトドア');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (10, 1, '園芸・ペット・手芸');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (10, 2, '音楽・美術・工芸');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (10, 3, '囲碁・将棋');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (10, 4, '麻雀・パチンコ');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (10, 5, '車・オートバイ');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (10, 6, 'コンピュータ・ＴＶゲーム');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (10, 7, '会話・語学');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (10, 8, '幼児・小学生');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (10, 9, '中学生・高校生');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (10, 10, '大学生・受験');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (10, 11, '生涯教育・資格');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (10, 12, '教育問題');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (10, 13, '');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (10, 14, '');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (10, 15, 'その他');

insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (11, 0, '高齢者');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (11, 1, '障害者');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (11, 2, '社会福祉');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (11, 3, 'ボランティア');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (11, 4, '手話');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (11, 5, '文字（字幕）');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (11, 6, '音声解説');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (11, 7, '');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (11, 8, '');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (11, 9, '');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (11, 10, '');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (11, 11, '');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (11, 12, '');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (11, 13, '');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (11, 14, '');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (11, 15, 'その他');

insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (12, 0, '');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (12, 1, '');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (12, 2, '');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (12, 3, '');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (12, 4, '');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (12, 5, '');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (12, 6, '');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (12, 7, '');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (12, 8, '');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (12, 9, '');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (12, 10, '');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (12, 11, '');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (12, 12, '');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (12, 13, '');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (12, 14, '');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (12, 15, '');

insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (13, 0, '');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (13, 1, '');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (13, 2, '');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (13, 3, '');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (13, 4, '');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (13, 5, '');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (13, 6, '');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (13, 7, '');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (13, 8, '');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (13, 9, '');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (13, 10, '');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (13, 11, '');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (13, 12, '');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (13, 13, '');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (13, 14, '');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (13, 15, '');

insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (14, 0, 'BS/地上デジタル放送用番組付属情報');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (14, 1, '広帯域CS デジタル放送用拡張');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (14, 2, '衛星デジタル音声放送用拡張');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (14, 3, 'サーバー型番組付属情報');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (14, 4, 'IP 放送用番組付属情報');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (14, 5, '');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (14, 6, '');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (14, 7, '');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (14, 8, '');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (14, 9, '');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (14, 10, '');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (14, 11, '');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (14, 12, '');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (14, 13, '');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (14, 14, '');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (14, 15, '');

insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (15, 0, '');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (15, 1, '');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (15, 2, '');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (15, 3, '');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (15, 4, '');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (15, 5, '');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (15, 6, '');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (15, 7, '');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (15, 8, '');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (15, 9, '');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (15, 10, '');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (15, 11, '');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (15, 12, '');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (15, 13, '');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (15, 14, '');
insert into ma_genre2 (mg_level1, mg_level2, mg_name) values (15, 15, 'その他');
commit;

